%define	module	numexpr
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Summary: 	Fast numerical array expression evaluator for Python and NumPy
Name:		python-%{module}	
Version:	2.5
Release:	%mkrel 1
Source0:	https://pypi.python.org/packages/source/n/%{module}/%{module}-%{version}.tar.gz
License:	MIT
Group:		Development/Python
Url:		https://github.com/pydata/numexpr
BuildRequires:	pkgconfig(python)
BuildRequires:	python-numpy-devel >= 1.6
BuildRequires:	pkgconfig(python3)
BuildRequires:  python-setuptools
BuildRequires:	python3-numpy-devel
BuildRequires:  python3-setuptools
Requires:	python-numpy >= 1.6

%description
The numexpr package evaluates multiple-operator array expressions many
times faster than NumPy can. It accepts the expression as a string,
analyzes it, rewrites it more efficiently, and compiles it to faster
Python code on the fly. It's the next best thing to writing the
expression in C and compiling it with a specialized just-in-time (JIT)
compiler, i.e. it does not require a compiler at runtime.

%package -n python3-%{module}
Summary:	Fast numerical array expression evaluator for Python3 and NumPy
Group:		Development/Python
Requires:	python3-numpy

%description -n python3-%{module}
The numexpr package evaluates multiple-operator array expressions many
times faster than NumPy can. It accepts the expression as a string,
analyzes it, rewrites it more efficiently, and compiles it to faster
Python code on the fly. It's the next best thing to writing the
expression in C and compiling it with a specialized just-in-time (JIT)
compiler, i.e. it does not require a compiler at runtime.

%prep
%autosetup -n %{module}-%{version}
sed -i "s|/usr/bin/env |/usr/bin/|" %{module}/cpuinfo.py

%build
%py3_build
%py2_build

%install
%py3_install
%py2_install

%check
pushd build/lib.*-*2.*
%{__python2} -c 'import numexpr; numexpr.test()'
popd

pushd build/lib.*-*3.*
%{__python3} -c 'import numexpr; numexpr.test()'
popd

%files
%doc ANNOUNCE.rst RELEASE_NOTES.rst README.rst
%license LICENSE.txt
%dir %{python_sitearch}/%{module}
%{python2_sitearch}/%{module}/*
%{python2_sitearch}/%{module}-*.egg-info 

%files -n python3-%{module}
%doc ANNOUNCE.rst RELEASE_NOTES.rst README.rst
%license LICENSE.txt
%dir %{python3_sitearch}/%{module}
%{python3_sitearch}/%{module}/*
%{python3_sitearch}/%{module}-*.egg-info



%changelog
* Tue Feb 16 2016 philippem <philippem> 2.5-1.mga6
+ Revision: 962619
- update to 2.5

* Tue Nov 24 2015 philippem <philippem> 2.4.6-1.mga6
+ Revision: 905845
- update to 2.4.6

* Thu Oct 08 2015 joequant <joequant> 2.4.4-1.mga6
+ Revision: 887385
- upgrade 3.5

* Tue Jun 30 2015 joequant <joequant> 2.4.3-1.mga6
+ Revision: 848845
- upgrade to 2.4.3

* Wed Oct 15 2014 umeabot <umeabot> 2.4-5.mga5
+ Revision: 739755
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.4-4.mga5
+ Revision: 729169
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.4-3.mga5
+ Revision: 688184
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.4-2.mga5
+ Revision: 628851
- Rebuild for new Python

* Fri Apr 25 2014 philippem <philippem> 2.4-1.mga5
+ Revision: 618086
- update to 2.4

* Fri Mar 07 2014 philippem <philippem> 2.3.1-1.mga5
+ Revision: 600899
- Update to 2.3.1

* Tue Oct 22 2013 umeabot <umeabot> 2.2.2-3.mga4
+ Revision: 543836
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.2.2-2.mga4
+ Revision: 498971
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Oct 01 2013 philippem <philippem> 2.2.2-1.mga4
+ Revision: 489947
- Update to 2.2.2

* Fri Sep 13 2013 philippem <philippem> 2.2.1-1.mga4
+ Revision: 478668
- Update to 2.2.1

* Thu Jul 04 2013 philippem <philippem> 2.1-1.mga4
+ Revision: 450072
- Update to 2.1, add Python3

* Sun Jan 13 2013 umeabot <umeabot> 2.0-2.mga3
+ Revision: 379171
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 30 2011 lebedov <lebedov> 2.0-1.mga2
+ Revision: 174436
- Update to 2.0.

* Sun Sep 18 2011 lebedov <lebedov> 1.4.2-1.mga2
+ Revision: 145187
- Import patch to fix linking problem.
- Update spec file.
- imported package python-numexpr

